shift-scheduler {
  display: block;
}

.shift-scheduler-container {
  position: relative;
}

.shift-scheduler {
  display: flex;
  position: relative;
  height: 40px;
  /* background-color: rgba(240, 240, 240, 0.3); */
  border: 1px solid #ccc;
  border-radius: 6px;
  z-index: 2;
    justify-content: space-around;
  cursor: pointer;
  margin-top: 1rem;
}

.shift-scheduler-slot {
  display: flex;
  align-items: center;
  justify-content: center;
  height: 100%;
  border-left: 1px dotted #ccc;
  box-sizing: border-box;
  /* background-color: #eaeaea; */
  font-size: 12px;
  position: absolute;
  top: 0;
  z-index: -1;
  pointer-events: none;
}

.task-bar {
  position: absolute;
  height: 40px;
  background-color: #4285f4;
  cursor: move;
  display: flex;
  align-items: center;
  justify-content: center;
  color: white;
  border-radius: 15px;
  padding: 0 10px;
  box-sizing: border-box;
  white-space: nowrap;
  user-select: none;
  border: 1px groove #cd4ce7;
  background-color: rgba(5, 99, 252, 0.35);
  transition: left 0.4s ease, width 0.5s ease, opacity 0.3s ease;
}

.task-bar.deleting {
  opacity: 0;
}

.draggable-handle {
  color: white;
  font-size: 12px;
  width: 10px;
  display: flex;
  align-items: center;
  justify-content: center;
  position: absolute;
  right: 1px;
  cursor: ew-resize;
  background: transparent;
}

.draggable-handle::before {
  content: '⋮⋮';
}

.delete-btn {
  position: absolute;
  left: 6px;
  top: 6px;
  background: transparent;
  border: none;
  color: white;
  font-size: 12px;
  cursor: pointer;
  padding: 0;
  line-height: 1;
}

.delete-btn::before {
  content: '✖';
}

.task-bar input {
  background: transparent;
  border: none;
  color: white;
  font-size: 14px;
  text-align: center;
  width: 35px;
  box-sizing: border-box;
  padding: 0;
}

.shift-scheduler > .shift-scheduler-slot:first-child {
  width: 140px !important;
  padding: 0 1rem !important;
  justify-content: flex-start !important;
}
